import Head from 'next/head'
import 'bootstrap/dist/css/bootstrap.min.css';
import Header from '../comp/header';
import Router from "next/router";
import { userService} from '../helper/user.service';
import { handleResponse } from '../helper/fetch-wrapper';

export default function Hello(){

    const redirect = () => {
        return userService.logout();
    }

    return(
        <div>
        <Head>
            <title>Udacity</title>
            <meta name="description" content="Generated by create next app" />
            <link rel="icon" href="/logo.svg" height={100}/>
        </Head>

        <Header />
        
        <div className='container py-3 ' style={{maxWidth: 960}}>
            <div className='p-4 container'>
                <h1>Hello!</h1>
                <p>You are logged in with NextJS.</p>
                <button className='btn btn-primary btn-lg shadow-sm p-2 rounded' style={{backgroundColor: "rgb(1, 122, 155)"}} onClick={redirect}>
                    Log Out
                </button>
            </div>
        </div>

        </div>
        )
}